## org.exist.xquery
Interface ExpressionVisitor

All Known Implementing Classes:
  BasicExpressionVisitor

public interface ExpressionVisitor

Defines a visitor to be used for traversing and analyzing the expression tree.

Author:
  wolf

Method Summary
`void` `visit(Expression expression)` Default fallback method if no other method matches the object's type.
`void` `visitCastExpr(CastExpression expression)` Found a CastExpression
`void` `visitPathExpr(PathExpr expression)` Found a PathExpr

Method Detail

### visit

    public void visit(Expression expression)

  Default fallback method if no other method matches the object's type.

  Parameters:
    `expression` -

### visitPathExpr

    public void visitPathExpr(PathExpr expression)

  Found a PathExpr

### visitCastExpr

    public void visitCastExpr(CastExpression expression)

  Found a CastExpression

Copyright (C) Wolfgang Meier. All rights reserved.